classification
Title: kqueue for more than one event is broken.
Type: behavior Stage:
Components: Extension Modules Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: Erik Gorset, amaury.forgeotdarc, christian.heimes, georg.brandl, henry.precheur
Priority: normal Keywords: patch

Created on 2009-05-02 21:58 by Erik Gorset, last changed 2009-07-16 07:18 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
kqueue.patch Erik Gorset, 2009-05-02 21:58
Messages (4)
msg86984 - (view) Author: Erik Gorset (Erik Gorset) Date: 2009-05-02 21:58
The kqueue code doesn't increment the index when building the changelist.

The patch should work for both py26 and py30.
msg89605 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-06-22 18:42
The patch looks good, but I cannot test it.
msg90126 - (view) Author: Henry Precheur (henry.precheur) Date: 2009-07-04 21:14
I tested the patch with py3k on OpenBSD 4.6 beta and it worked.

But I must admit I don't fully understand what the patch does ...
msg90557 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-07-16 07:18
Patch looks good, committed with test in r74020.
History
Date User Action Args
2009-07-16 07:18:13georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg90557

assignee: christian.heimes -> georg.brandl
resolution: fixed
2009-07-04 21:14:33henry.precheursetnosy: + henry.precheur
messages: + msg90126
2009-06-22 18:42:43amaury.forgeotdarcsetassignee: christian.heimes

messages: + msg89605
nosy: + amaury.forgeotdarc
2009-05-03 17:44:14pitrousetnosy: + christian.heimes
2009-05-02 21:58:07Erik Gorsetcreate